package cn.gov.customs.data.util;

import org.jasypt.util.text.BasicTextEncryptor;

/**
 * @Description: 通过jasypt 生成铭文加密
 * @author: scott
 * @date: 2023年07月20日 11:18
 */
public class JasyptUtils {
	public static void main(String[] args) {
		//该类的选择根据algorithm：PBEWithMD5AndDE选择的算法选择
		BasicTextEncryptor encryptor = new BasicTextEncryptor();
		encryptor.setPassword("wxjy-data-service");
		System.out.println(encryptor.encrypt("iedg"));
		System.out.println(encryptor.encrypt("app_db_rj_wxp"));
		System.out.println(encryptor.encrypt("WXJYUSER"));
		System.out.println(encryptor.encrypt("WXJY_pass"));
	}
}
